View Issue Details

IDProjectCategoryView StatusLast Update
0024380LazarusDebuggerpublic2013-05-20 18:02
ReporterЧигрин ВиталийAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntelOSWin32OS VersionWindowsXP
Product Version1.0.8Product Build 
Target Version1.0.10Fixed in Version1.0.10 
Summary0024380: The window "Watсh List" does not show the national character set.
DescriptionSorry, I translate automatic translator.
In the "Watсh List" Characters do not appear in the national character set. But this is true only for the "records". For simple variables (String), these symbols are displayed.

This is the message - the continuation messages ID 0024353 "utf8 Messages from OutputDebugString a not displayed correct in debug event log".
TagsNo tags attached.
Fixed in Revision41298
LazTarget1.0.10
Widgetset
Attached Files

Relationships

related to 0024199 closedMartin Friebe Debugger and watches with uff8/ansi content 

Activities

Чигрин Виталий

2013-05-05 10:43

reporter  

Ld.png (230,948 bytes)
Ld.png (230,948 bytes)

Чигрин Виталий

2013-05-05 10:44

reporter  

Ld1.png (259,847 bytes)
Ld1.png (259,847 bytes)

Martin Friebe

2013-05-17 12:45

manager   ~0067731

Partial fix in revision 41233.

This should display strings in the watches window correct.

That is:
- The IDE expects the content of the string to be utf8, and will translate every byte-sequence that is a valid utf8 char.
- There is no support for ANSI encoding. (You can view a memory dump of it, but it' not much help).
- Any sequence of ANSI chars that form a valid utf8, will be displayed as such.
- Any none-valid utf8 (either ansi, or broken utf8) will be displayed as #nnn (as before)

Using "s[index]" is not affected. It works byte-wise, like in code. So it can not display utf8. (See also wiki about the string/pchar issue (0 vs 1 based index)

NOT yet working:
- "Locals" window
- strings that are shown as part of a structure:
  That is if you show an entire Object or Record, and some of the fields are strings.
  This includes the "Inspect" window.
* TFoo=record a,b:string; end;
Watching:
- AFoo: does not show correct utf8 for a and b
- AFoo.b: should work

Чигрин Виталий

2013-05-19 14:13

reporter   ~0067765

As I understand it, the whole record in the "Watsh List" can not be displayed correctly. If the digital field, it displays "field name" = "value". If the field - a line (I have a string UTF8), the value is displayed incorrectly.Individually field (Rec.S) are displayed correctly. And stock also.
This is not a fatal error. if You know about it, that this topic should be closed.

Martin Friebe

2013-05-19 15:11

manager   ~0067768

It can and will be fixed in future.

Martin Friebe

2013-05-19 18:43

manager   ~0067771

Fixed

Issue History

Date Modified Username Field Change
2013-05-05 10:43 Чигрин Виталий New Issue
2013-05-05 10:43 Чигрин Виталий Status new => assigned
2013-05-05 10:43 Чигрин Виталий Assigned To => Martin Friebe
2013-05-05 10:43 Чигрин Виталий File Added: Ld.png
2013-05-05 10:44 Чигрин Виталий File Added: Ld1.png
2013-05-05 14:58 Martin Friebe Relationship added related to 0024199
2013-05-17 12:45 Martin Friebe Note Added: 0067731
2013-05-19 14:13 Чигрин Виталий Note Added: 0067765
2013-05-19 15:11 Martin Friebe Note Added: 0067768
2013-05-19 18:43 Martin Friebe Fixed in Revision => 41298
2013-05-19 18:43 Martin Friebe LazTarget => 1.0.10
2013-05-19 18:43 Martin Friebe Widgetset Win32/Win64 =>
2013-05-19 18:43 Martin Friebe Status assigned => resolved
2013-05-19 18:43 Martin Friebe Fixed in Version => 1.0.10
2013-05-19 18:43 Martin Friebe Resolution open => fixed
2013-05-19 18:43 Martin Friebe Target Version => 1.0.10
2013-05-19 18:43 Martin Friebe Note Added: 0067771
2013-05-20 18:02 Чигрин Виталий Status resolved => closed